var v_yesno_sel = [{value: "0", option: langs.getText("common","opt_no")}, {value: "1", option: langs.getText("common","opt_yes")}];

if (info.SYSTEM_ID == "vUCP") {
	var tel_alm_port_1_chk = {};
	var tel_alm_port_1_label = {};
	var tel_alm_port_2_chk = {};
	var tel_alm_port_2_label = {};
	var tel_br_1 = {};
} else {
	var tel_alm_port_1_chk = {name:"TEL_ALMTP_0", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_alm_port_1_label = {label: langs.getText("p163","alm_port")+" 1   ", cont: 1};
	var tel_alm_port_2_chk = {name:"TEL_ALMTP_1", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_alm_port_2_label = {label: langs.getText("p163","alm_port")+" 2", cont: 1};
	var tel_br_1 = {br: 1, cont: 1};
}

if(info.PHASE>=3.5) {
	var tel_ucs_down_chk = {name:"TEL_ALMTP_23", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_ucs_down_label = {label: langs.getText("p163","almtp_ucs"), cont: 1};
	var tel_push_down_chk = {name:"TEL_ALMTP_24", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_push_down_label = {label: langs.getText("p163","almtp_push"), cont: 1};
	var tel_slv_act_chk = {name:"TEL_ALMTP_25", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_slv_act_label = {label: langs.getText("p163","almtp_slvact"), cont: 1};
} else if(info.PHASE>=3.1) {
	var tel_ucs_down_chk = {name:"TEL_ALMTP_23", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_ucs_down_label = {label: langs.getText("p163","almtp_ucs"), cont: 1};
	var tel_push_down_chk = {name:"TEL_ALMTP_24", value: "", chk_type: "chk_selectall", chk: 1, cont: 1};
	var tel_push_down_label = {label: langs.getText("p163","almtp_push"), cont: 1};
	var tel_slv_act_chk = {};
	var tel_slv_act_label = {};
} else {
	var tel_ucs_down_chk = {};
	var tel_ucs_down_label = {};
	var tel_push_down_chk = {};
	var tel_push_down_label = {};
	var tel_slv_act_chk = {};
	var tel_slv_act_label = {};
}

define(
	{elements:[
		{name:"tab1", tab: [
			{key: "pgm1632_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
			{key: "pgm1632_sipstn", contents: [{text: langs.getText("common","sipstn") + "   "}, {name: "SIPSTN", value:"", textfield: [{max: 8, size: 9}], message: "", cont: 0}]},
			{key: "pgm1632_mktbl", table: [{label: langs.getText("common","index")}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}],
									data_form: [{key: "", struct: [{tr: [ {name: "TEL_INDEX", value: "", rowspan: 11, label: 1}, {label: langs.getText("common","sc_priority")}, {name:"TEL_PRIO", value: "", textfield: [{max: 1, size: 1}], message: "", cont: 0}, {label: "0-9", cont: 0}]},
																			{tr: [{label: langs.getText("common","tel_num")}, {br: 1, cont: 1}, {label: "("+langs.getText("p1632","include_coacc_code")+")", cont: 1}, {name:"TEL_TELNUM", value: "", textfield: [{max: 32, size: 33}], message: "", cont: 0}, {label: langs.getText("p163","cmt_max32digit"), cont: 0}]},
																			{tr: [{label: langs.getText("p163","comment")}, {name:"TEL_CMT", value: "", textfield: [{max: 64, size: 65}], message: "", cont: 0,enable_mullang:1}, {label: langs.getText("p163","cmt_max64digit"), cont: 0}]},
																			{tr: [{label: langs.getText("common","noans_tmr")}, {name:"TEL_NOANSTMR", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0}, {label: "30-180 "+langs.getText("common","cmt_second"), cont: 0}]},
																			{tr: [{label: langs.getText("common","retry_on_busy") + "  ", cont: 0}, {name:"TEL_RIFBUSY", value: "", select: v_yesno_sel, message: "", cont: 0}, {label: ""}]},
																			{tr: [{label: langs.getText("common","retry_on_noans") + "  ", cont: 0},{name:"TEL_RIFNANS", value: "", select: v_yesno_sel, message: "", cont: 0}, {label: ""}]},
																			{tr: [{label: langs.getText("common","retry_count") + "  ", cont: 0}, {name:"TEL_RCNT", value: "", textfield: [{max: 1, size: 2}], message: "", cont: 0}, {label: "1-9", cont: 0}]},
																			{tr: [{label: langs.getText("common","retry_inter") + "  ", cont: 0}, {name:"TEL_RINTV", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0}, {label: "10-180 "+langs.getText("common","cmt_second"), cont: 0}]},
																			{tr: [{label: langs.getText("p163","weekday")}, {chk_type: "chk_selectall_in_cell", chk: 1, cont: 0}, {label: " "+langs.getText("common2","chk_unchk_all")+" ", cont: 1}, {br: 1, cont: 1}
																			, {name: "TEL_WDAY_MON", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: " "+langs.getText("common","simple_monday")+" ", cont: 1},{name: "TEL_WDAY_TUE", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_tuesday")+" ", cont: 1},{name: "TEL_WDAY_WED", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_wed")+" ", cont: 1},{name: "TEL_WDAY_THU", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_thu")+" ", cont: 1}
																			, {name: "TEL_WDAY_FRI", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_friday")+" ", cont: 1}, {br: 1, cont: 1}
																			, {name: "TEL_WDAY_SAT", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_saturday")+" ", cont: 1},{name: "TEL_WDAY_SUN", value: "", chk_type: "chk_selectall", chk: 1, cont: 1}, {label: langs.getText("common","simple_sun")+" ", cont: 1}, {br: 1, cont: 1},{label: "", cont: 0}]},
																			{tr: [{label: langs.getText("common","service_time")},{name:"TEL_STIME", value: "", textfield: [{max: 4, size: 5}], message: "", cont: 0},{label: " - ", cont: 1},{name:"TEL_ETIME", value: "", textfield: [{max: 4, size: 5}], message: "", cont: 1},{label: "0000 - 2359", cont: 0}]},
																			{tr: [{label: langs.getText("p163","service_for_alarm")}, {chk_type: "chk_selectall_in_cell", chk: 1, cont: 0}, {label: " "+langs.getText("common2","chk_unchk_all")+" ", cont: 1}, {br: 1, cont: 1}
																			, tel_alm_port_1_chk,tel_alm_port_1_label, tel_alm_port_2_chk,tel_alm_port_2_label
																			, tel_br_1, {name:"TEL_ALMTP_2", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_emer"), cont: 1}, {name:"TEL_ALMTP_3", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_bath"), cont: 1}, {name:"TEL_ALMTP_4", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_dco"), cont: 1}, {name:"TEL_ALMTP_5", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_sip"), cont: 1}, {name:"TEL_ALMTP_6", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_sta"), cont: 1}, {name:"TEL_ALMTP_7", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_co"), cont: 1}
																			, {br: 1, cont: 1}, {name:"TEL_ALMTP_8", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_smdr"), cont: 1}, {name:"TEL_ALMTP_9", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_vm"), cont: 1}, {name:"TEL_ALMTP_10", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_wtimb"), cont: 1}, {name:"TEL_ALMTP_11", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_wtimc"), cont: 1}, {name:"TEL_ALMTP_12", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_ismdr"), cont: 1}
																			, {br: 1, cont: 1}, {name:"TEL_ALMTP_13", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_cabinet"), cont: 1}, {name:"TEL_ALMTP_14", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_bar"), cont: 1}, {name:"TEL_ALMTP_15", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_ipcr"), cont: 1}, {name:"TEL_ALMTP_16", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_ipwatch"), cont: 1}
																			, {br: 1, cont: 1}, {name:"TEL_ALMTP_17", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_templic"), cont: 1}, {name:"TEL_ALMTP_18", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_mntlic"), cont: 1}, {name:"TEL_ALMTP_19", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_regover"), cont: 1}, {name:"TEL_ALMTP_20", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_tnetlic"), cont: 1}
																			, {br: 1, cont: 1}, {name:"TEL_ALMTP_21", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_tapi"), cont: 1}, {name:"TEL_ALMTP_22", value: "", chk_type: "chk_selectall", chk: 1, cont: 1},{label: langs.getText("p163","almtp_pms"), cont: 1}
																			, tel_ucs_down_chk,tel_ucs_down_label, tel_push_down_chk,tel_push_down_label, tel_slv_act_chk,tel_slv_act_label
																			, {label: "", cont: 0}]}]}],
									variable_data: [{}]}
		]}
	]}
);