if(info.PHASE >= 3.5) {
	var p210_mitel_multihome = {key: "pgm210_sip_multihome", title: langs.getText("p210","sip_multihome"), th: [{label: langs.getText("p210","sip_multihome"), colspan: 5}]};
	var p210_mitel_multiusage = {key: "pgm210_sip_multiusage", title: langs.getText("p210","sip_multiusage"), tr:[{label: "1"}, {label: langs.getText("p210","sip_multiusage")}, {name:"SIP_MULTIUSAGE", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: "EXT UDP Port"}, {value: "2", option: "2nd IP"}, {value: "3", option: "EXT UDP Port+2nd IP"}], message: "", cont: 0}, {label: ""}, {label: ""}]};
	var p210_mitel_mudpport = {key: "pgm210_sip_mudpport", title: langs.getText("p210","sip_mudpport"), tr:[{label: "2"}, {label: langs.getText("p210","sip_mudpport")}, {name:"SIP_MUDPPORT", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: ""}]};
	var p210_mitel_multiip = {key: "pgm210_sip_multiip", title: langs.getText("p210","sip_multiip"), tr:[{label: "3"}, {label: langs.getText("p210","sip_multiip")}, {name:"SIP_MULTIIP", value: "", textfield: [{max: 32}], message: "", cont: 0}, {label: langs.getText("common","max32ch")}, {label: ""}]};
	var p210_mitel_mwanudp = {key: "pgm210_sip_mwanudp", title: langs.getText("p210","sip_mwanudp"), tr:[{label: "4"}, {label: langs.getText("p210","sip_mwanudp")}, {name:"SIP_MWANUDP", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: ""}]};
	var p210_mitel_mwantcp = {key: "pgm210_sip_mwantcp", title: langs.getText("p210","sip_mwantcp"), tr:[{label: "5"}, {label: langs.getText("p210","sip_mwantcp")}, {name:"SIP_MWANTCP", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: ""}]};
	var p210_mitel_mwantls = {key: "pgm210_sip_mwantls", title: langs.getText("p210","sip_mwantls"), tr:[{label: "6"}, {label: langs.getText("p210","sip_mwantls")}, {name:"SIP_MWANTLS", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: ""}]};
	var p300_mitel_smdr_ip = {key: "pgm300_hotel_smdraddr", title: langs.getText("p300","hotel_smdraddr"), tr:[{order: 1}, {label: langs.getText("p300","hotel_smdraddr")}, {name:"HOTEL_SMDRADDR", value:"", textfield:[{max: 15, size: 15}], message: "", cont: 0}, {label: ""}]};
} else {
	var p210_mitel_multihome = {};
	var p210_mitel_multiusage = {};
	var p210_mitel_mudpport = {};
	var p210_mitel_multiip = {};
	var p210_mitel_mwanudp = {};
	var p210_mitel_mwantcp = {};
	var p210_mitel_mwantls = {};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm210_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm210_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("common","order")}, {label: langs.getText("common","attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}, {label: langs.getText("common","remark")}]},
            {key: "pgm210_sip_pdns", title: langs.getText("p210","sip_pdns"), tr:[{label: "1"}, {label: langs.getText("p210","sip_pdns")}, {name:"SIP_PDNS", value: "", textfield: [{max: 32}], message: "", cont: 0}, {label: langs.getText("common","max32ch")}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_sdns", title: langs.getText("p210","sip_sdns"), tr:[{label: "2"}, {label: langs.getText("p210","sip_sdns")}, {name:"SIP_SDNS", value: "", textfield: [{max: 32}], message: "", cont: 0}, {label: langs.getText("common","max32ch")}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_localudp", title: langs.getText("p210","sip_localudp"), tr:[{label: "3"}, {label: langs.getText("p210","sip_localudp")}, {name:"SIP_LOCALUDP", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_localtcp", title: langs.getText("p210","sip_localtcp"), tr:[{label: "4"}, {label: langs.getText("p210","sip_localtcp")}, {name:"SIP_LOCALTCP", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_localtls", title: langs.getText("p210","sip_localtls"), tr:[{label: "5"}, {label: langs.getText("p210","sip_localtls")}, {name:"SIP_LOCALTLS", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_optsendtime", title: langs.getText("p210","sip_optsendtime"), tr:[{label: "6"}, {label: langs.getText("p210","sip_optsendtime")}, {name:"SIP_OPTSENDTIME", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: "0 ("+langs.getText("common","opt_off")+"), 10-3600 "+langs.getText("common","cmt_second")}, {label: ""}]},
            {key: "pgm210_sig_tls_opt", title: langs.getText("p210","sig_tls_opt"), th: [{label: langs.getText("p210","sig_tls_opt"), colspan: 5}]},
            {key: "pgm210_sip_tlsver", title: langs.getText("p210","sip_tlsver"), tr:[{label: "1"}, {label: langs.getText("p210","sip_tlsver")}, {name:"SIP_TLSVER", value: "", select: [{value: "0", option: "TLS1.0"}, {value: "1", option: "TLS1.2"}, {value: "2", option: langs.getText("p210","opt_tlsver_ssl")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_cryptmode", title: langs.getText("p210","sip_cryptmode"), tr:[{label: "2"}, {label: langs.getText("p210","sip_cryptmode")}, {name:"SIP_CRYPTMODE", value: "", select: [{value: "0", option: "RSA"}, {value: "1", option: "ECC"}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_sigftls", title: langs.getText("p210","sip_sigftls"), tr:[{label: "3"}, {label: langs.getText("p210","sip_sigftls")}, {name:"SIP_SIGFTLS", value: "", select: [{value: "0", option: langs.getText("common","opt_none")}, {value: "1", option: "ARIA-128"}, {value: "2", option: "AES-128"}, {value: "3", option: "ARIA-128-SHA2"}, {value: "4", option: "AES-128-SHA2"}, {value: "5", option: "AES-256-SHA2(RSA)"}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_sigstls", title: langs.getText("p210","sip_sigstls"), tr:[{label: "4"}, {label: langs.getText("p210","sip_sigstls")}, {name:"SIP_SIGSTLS", value: "", select: [{value: "0", option: langs.getText("common","opt_none")}, {value: "1", option: "ARIA-128"}, {value: "2", option: "AES-128"}, {value: "3", option: "ARIA-128-SHA2"}, {value: "4", option: "AES-128-SHA2"}, {value: "5", option: "AES-256-SHA2(RSA)"}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_perlevel", title: langs.getText("p210","sip_perlevel"), tr:[{label: "5"}, {label: langs.getText("p210","sip_perlevel")}, {name:"SIP_PERLEVEL", value: "", select: [{value: "0", option: langs.getText("p210","opt_perlevel_trans")}, {value: "1", option: langs.getText("p210","opt_perlevel_transu")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_capapercent", title: langs.getText("p210","sip_capapercent"), tr:[{label: "6"}, {label: langs.getText("p210","sip_capapercent")}, {name:"SIP_CAPAPERCENT", value: "", textfield: [{max: 3}], message: "", cont: 0}, {label: "0-100"}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_conreusetls", title: langs.getText("p210","sip_conreusetls"), tr:[{label: "7"}, {label: langs.getText("p210","sip_conreusetls")}, {name:"SIP_CONREUSETLS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_syscert", title: langs.getText("p210","sip_syscert"), tr:[{label: "8"}, {label: langs.getText("p210","sip_syscert")}, {name:"SIP_SYSCERT", value: "", textfield: [{}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_keypass", title: langs.getText("p210","sip_keypass"), tr:[{label: "9"}, {label: langs.getText("p210","sip_keypass")}, {name:"SIP_KEYPASS", value: "", textfield: [{max: 16}], message: "", cont: 0}, {label: langs.getText("common","max16ch")}, {label: ""}]},
            {key: "pgm210_sip_tlssecurity", title: langs.getText("p210","sip_tlssecurity"), tr:[{label: "10"}, {label: langs.getText("p210","sip_tlssecurity")}, {name:"SIP_TLSSECURITY", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_srtpsecurity", title: langs.getText("p210","sip_srtpsecurity"), tr:[{label: "11"}, {label: langs.getText("p210","sip_srtpsecurity")}, {name:"SIP_SRTPSECURITY", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_save")}]},
            {key: "pgm210_sip_msg_blk_opt", title: langs.getText("p210","sip_msg_blk_opt"), th: [{label: langs.getText("p210","sip_msg_blk_opt"), colspan: 5}]},
            {key: "pgm210_sip_ipauth", title: langs.getText("p210","sip_ipauth"), tr:[{label: "1"}, {label: langs.getText("p210","sip_ipauth")}, {name:"SIP_IPAUTH", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_ipauth")}]},
            {key: "pgm210_sip_remotereg", title: langs.getText("p210","sip_remotereg"), tr:[{label: "2"}, {label: langs.getText("p210","sip_remotereg")}, {name:"SIP_REMOTEREG", value: "", select: [{value: "0", option: langs.getText("p210","opt_allow")}, {value: "1", option: langs.getText("p210","opt_deny")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_remotereg")}]},
            {key: "pgm210_sip_chktimereg", title: langs.getText("p210","sip_chktimereg"), tr:[{label: "3"}, {label: langs.getText("p210","sip_chktimereg")}, {name:"SIP_CHKTIMEREG", value: "", textfield: [{max: 4}], message: "", cont: 0}, {label: "0-3600 "+langs.getText("common","cmt_second")}, {label: langs.getText("p210","cmt_chktimereg")}]},
            {key: "pgm210_sip_thresreg", title: langs.getText("p210","sip_thresreg"), tr:[{label: "4"}, {label: langs.getText("p210","sip_thresreg")}, {name:"SIP_THRESREG", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: "0-60000"}, {label: langs.getText("p210","cmt_thresreg")}]},
            {key: "pgm210_sip_lockreg", title: langs.getText("p210","sip_lockreg"), tr:[{label: "5"}, {label: langs.getText("p210","sip_lockreg")}, {name:"SIP_LOCKREG", value: "", textfield: [{max: 3}], message: "", cont: 0}, {label: "0-250 "+langs.getText("common","simple_minute")}, {label: langs.getText("p210","cmt_lockreg")}]},
            {key: "pgm210_sip_sms_opt", title: langs.getText("p210","sip_sms_opt"), th: [{label: langs.getText("p210","sip_sms_opt"), colspan: 5}]},
            {key: "pgm210_sip_smsdomain", title: langs.getText("p210","sip_smsdomain"), tr:[{label: "1"}, {label: langs.getText("p210","sip_smsdomain")}, {name:"SIP_SMSDOMAIN", value: "", textfield: [{max: 32}], message: "", cont: 0}, {label: langs.getText("common","max32ch")}, {label: ""}]},
            {key: "pgm210_sip_sip_smsuri", title: langs.getText("p210","sip_smsuri"), tr:[{label: "2"}, {label: langs.getText("p210","sip_smsuri")}, {name:"SIP_SMSURI", value: "", textfield: [{max: 20}], message: "", cont: 0}, {label: langs.getText("common","max20ch")}, {label: langs.getText("p210","cmt_ktonly")}]},
            {key: "pgm210_sip_sip_smsmode", title: langs.getText("p210","sip_smsmode"), tr:[{label: "3"}, {label: langs.getText("p210","sip_smsmode")}, {name:"SIP_SMSMODE", value: "", select: [{value: "0", option: langs.getText("common","normal")}, {value: "1", option: langs.getText("common","external")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_ktonly")}]},
            {key: "pgm210_sip_fax_opt", title: langs.getText("p210","sip_fax_opt"), th: [{label: langs.getText("p210","sip_fax_opt"), colspan: 5}]},
            {key: "pgm210_sip_g711fax", title: langs.getText("p210","sip_g711fax"), tr:[{label: "1"}, {label: langs.getText("p210","sip_g711fax")}, {name:"SIP_G711FAX", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_fax711m", title: langs.getText("p210","sip_fax711m"), tr:[{label: "2"}, {label: langs.getText("p210","sip_fax711m")}, {name:"SIP_FAX711M", value: "", select: [{value: "0", option: "711A"}, {value: "1", option: "711U"}, {value: "2", option: "711A(VBD)"}, {value: "3", option: "711U(VBD)"}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_t38fo", title: langs.getText("p210","sip_t38fo"), tr:[{label: "3"}, {label: langs.getText("p210","sip_t38fo")}, {name:"SIP_T38FO", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_misc_opt", title: langs.getText("p210","misc_opt"), th: [{label: langs.getText("p210","misc_opt"), colspan: 5}]},
            {key: "pgm210_sip_ocsprefix", title: langs.getText("p210","sip_ocsprefix"), tr:[{label: "1"}, {label: langs.getText("p210","sip_ocsprefix")}, {name:"SIP_OCSPREFIX", value: "", textfield: [{max: 8}], message: "", cont: 0}, {label: langs.getText("common","max8digit")}, {label: langs.getText("p210","cmt_ocsprefix")}]},
            {key: "pgm210_sip_sippound", title: langs.getText("p210","sip_sippound"), tr:[{label: "2"}, {label: langs.getText("p210","sip_sippound")}, {name:"SIP_SIPPOUND", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_blfnoti", title: langs.getText("p210","sip_blfnoti"), tr:[{label: "3"}, {label: langs.getText("p210","sip_blfnoti")}, {name:"SIP_BLFNOTI", value: "", textfield: [{max: 3}], message: "", cont: 0}, {label: "10-360"}, {label: langs.getText("p210","cmt_blfnoti")}]},
            {key: "pgm210_sip_srtpdirect", title: langs.getText("p210","sip_srtpdirect"), tr:[{label: "4"}, {label: langs.getText("p210","sip_srtpdirect")}, {name:"SIP_SRTPDIRECT", value: "", select: [{value: "0", option: langs.getText("p210","opt_relay")}, {value: "1", option: langs.getText("p210","opt_direct")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_srtpdirect")}]},
            {key: "pgm210_sip_dnssrv", title: langs.getText("p210","sip_dnssrv"), tr:[{label: "5"}, {label: langs.getText("p210","sip_dnssrv")}, {name:"SIP_DNSSRV", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_dnssrv")}]},
            {key: "pgm210_sip_outsrc", title: langs.getText("p210","sip_outsrc"), tr:[{label: "6"}, {label: langs.getText("p210","sip_outsrc")}, {name:"SIP_OUTSRC", value: "", select: [{value: "0", option: "503"}, {value: "1", option: "486"}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_outsrc")}]},
            {key: "pgm210_sip_errorcode", title: langs.getText("p210","sip_errorcode"), tr:[{label: "7"}, {label: langs.getText("p210","sip_errorcode")}, {name:"SIP_ERRORCODE", value: "", textarea: [{rows: 3, cols: 25}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p210","cmt_errorcode")}]},
            {key: "pgm210_sip_qos_opt", title: langs.getText("p210","sip_qos_opt"), th: [{label: langs.getText("p210","sip_qos_opt"), colspan: 5}]},
            {key: "pgm210_sip_dscptos", title: langs.getText("p210","sip_dscptos"), tr:[{label: "1"}, {label: langs.getText("p210","sip_dscptos")}, {name:"SIP_DSCPTOS", value: "", select: [{value: "0", option: "DSCP"}, {value: "1", option: "TOS"}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_sipdscp", title: langs.getText("p210","sip_sipdscp"), tr:[{label: "2"}, {label: langs.getText("p210","sip_sipdscp")}, {name:"SIP_SIPDSCP", value: "", textfield: [{max: 2}], message: "", cont: 0}, {label: "00-63"}, {label: ""}]},
            {key: "pgm210_sip_siptos", title: langs.getText("p210","sip_siptos"), tr:[{label: "2-1"}, {label: langs.getText("p210","sip_siptos")}, {name:"SIP_SIPTOS", value: "", textfield: [{max: 1}], message: "", cont: 0}, {label: "0-7"}, {label: ""}]},
            {key: "pgm210_sip_rtpdscp", title: langs.getText("p210","sip_rtpdscp"), tr:[{label: "3"}, {label: langs.getText("p210","sip_rtpdscp")}, {name:"SIP_RTPDSCP", value: "", textfield: [{max: 2}], message: "", cont: 0}, {label: "00-63"}, {label: ""}]},
            {key: "pgm210_sip_rtptos", title: langs.getText("p210","sip_rtptos"), tr:[{label: "3-1"}, {label: langs.getText("p210","sip_rtptos")}, {name:"SIP_RTPTOS", value: "", textfield: [{max: 1}], message: "", cont: 0}, {label: "0-7"}, {label: ""}]},
            {key: "pgm210_sip_tnet_opt", title: langs.getText("p210","sip_tnet_opt"), th: [{label: langs.getText("p210","sip_tnet_opt"), colspan: 5}]},
            {key: "pgm210_sip_cmprefix", title: langs.getText("p210","sip_cmprefix"), tr:[{label: "1"}, {label: langs.getText("p210","sip_cmprefix")}, {name:"SIP_CMPREFIX", value: "", textfield: [{max: 8}], message: "", cont: 0}, {label: langs.getText("common","max8digit")}, {label: ""}]},
            {key: "pgm210_sip_cmmethod", title: langs.getText("p210","sip_cmmethod"), tr:[{label: "2"}, {label: langs.getText("p210","sip_cmmethod")}, {name:"SIP_CMMETHOD", value: "", select: [{value: "0", option: langs.getText("common","normal")}, {value: "1", option: langs.getText("p210","opt_wpre")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_treg_opt", title: langs.getText("p210","sip_treg_opt"), th: [{label: langs.getText("p210","sip_treg_opt"), colspan: 5}]},
            {key: "pgm210_sip_regretry", title: langs.getText("p210","sip_regretry"), tr:[{label: "1"}, {label: langs.getText("p210","sip_regretry")}, {name:"SIP_REGRETRY", value: "", textfield: [{max: 4}], message: "", cont: 0}, {label: "20-3600"}, {label: langs.getText("p210","cmt_regretry")}]},
            {key: "pgm210_sip_toptnum", title: langs.getText("p210","sip_toptnum"), tr:[{label: "2"}, {label: langs.getText("p210","sip_toptnum")}, {name:"SIP_TOPTNUM", value: "", textfield: [{max: 2}], message: "", cont: 0}, {label: "1-20"}, {label: langs.getText("p210","cmt_ktonly")}]},
            {key: "pgm210_sip_toptint", title: langs.getText("p210","sip_toptint"), tr:[{label: "3"}, {label: langs.getText("p210","sip_toptint")}, {name:"SIP_TOPTINT", value: "", textfield: [{max: 4}], message: "", cont: 0}, {label: "20-3600"}, {label: langs.getText("p210","cmt_ktonly")}]},
            {key: "pgm210_sip_alarm_opt", title: langs.getText("p210","sip_alarm_opt"), th: [{label: langs.getText("p210","sip_alarm_opt"), colspan: 5}]},
            {key: "pgm210_sip_alarmUsage", title: langs.getText("p210","sip_alarmusage"), tr:[{label: "1"}, {label: langs.getText("p210","sip_alarmusage")}, {name:"SIP_ALARMUSAGE", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: langs.getText("p491","dect_ho_sens_remark")}]},
            {key: "pgm210_sip_alarmserv", title: langs.getText("p210","sip_alarmserv"), tr:[{label: "2"}, {label: langs.getText("p210","sip_alarmserv")}, {name:"SIP_ALARMSERV", value: "", textfield: [{max: 32}], message: "", cont: 0}, {label: langs.getText("common","max32ch")}, {label: ""}]},
			{key: "pgm210_sip_alarmport", title: langs.getText("p210","sip_alarmport"), tr:[{label: "3"}, {label: langs.getText("p210","sip_alarmport")}, {name:"SIP_ALARMPORT", value: "", textfield: [{max: 5}], message: "", cont: 0}, {label: langs.getText("common","cmt_port")}, {label: ""}]},
			{key: "pgm210_sip_alarmchk", title: langs.getText("p210","sip_alarmchk"), tr:[{label: "4"}, {label: langs.getText("p210","sip_alarmchk")}, {name:"SIP_ALARMCHK", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: "PGM210 Check Message Send Timer "}]},
            {key: "pgm210_sip_alarmstate", title: langs.getText("p210","sip_alarmstate"), tr:[{label: "5"}, {label: langs.getText("p210","sip_alarmstate")}, {name:"SIP_ALARMSTATE", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}, {label: ""}]},
            {key: "pgm210_sip_wtimch", title: langs.getText("p210","sip_wtimch"), tr:[{label: "6"}, {label: langs.getText("p210","sip_wtimch")}, {name:"SIP_WTIMCH", value: "", textfield: [{max: 1}], message: "", cont: 0}, {label: "0-1"}, {label: ""}]},
			p210_mitel_multihome,
			p210_mitel_multiusage,
			p210_mitel_mudpport,
			p210_mitel_multiip,
			p210_mitel_mwanudp,
			p210_mitel_mwantcp,
			p210_mitel_mwantls,
            {key: "pgm210_sip_stk_sts", title: langs.getText("p210","sip_stk_sts"), th: [{label: langs.getText("p210","sip_stk_sts"), colspan: 5}, {label: " : ", cont: 1}, {name: "SIP_STK_STS", value:"", label: 1, cont: 1}]}
        ]}
    ]}
);