if(info.MAX_DITRANCLASS_NO) {
	var range_guide = " (1 - "+info.MAX_DITRANCLASS_NO+")";
} else {
   var range_guide = "";
}

var MAX_DITRANCLASS_INDEX_RANGE = "200";

if(MAX_DITRANCLASS_INDEX_RANGE) {
	var range_guide2 = " (1 - "+MAX_DITRANCLASS_INDEX_RANGE+")";
	if(MAX_DITRANCLASS_INDEX_RANGE < 100) {
		var maxInputRange = MAX_DITRANCLASS_INDEX_RANGE;
	} else {
		var maxInputRange = "100";
	}
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm270_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm270_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_tblnum")+range_guide+" : "}, {name: "RANGE_1_0", value: "", textfield: [{max: 8, size: 10}], message: "", default_range: "1"}, {br: 1}, {name: "RANGE_TYPE_2", range_type: 2}, {text: langs.getText("common","enter_indexrange")+range_guide2+" : "}, {name: "RANGE_2_1", value: "", textfield: [{max: 40, size: 50}], message: "", default_range: getDefaultRange(range_guide, maxInputRange), help: langs.re_toolTip()+"<br><br>"+langs.getText("toolTip","maxinputrange")+" - "+maxInputRange}, {btn: langs.getText("common","load"), btn_type: "btn_load"},
				langs.Range_Error_Table(),
				{endload: 1}, {br: 2}, {text: langs.getText("common","tbl_num")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}, {br: 1}, {text: langs.getText("common","index_range")+" "}, {name: "RANGE_VIEW_2", value: "", text: 1}]},
            {key: "pgm270_mktbl", table: [{label: langs.getText("common","index")}, {label: langs.getText("p270","dgt_apply")}, {label: langs.getText("common","autoringmodetbl")},{br: 1, cont: 1},{label: "(0 - "+info.NO_OF_ICM_GRPS+")", cont: 1}, {label: langs.getText("p270","dgt_dialed")}, {br: 1, cont: 1}, {label: "("+langs.getText("common","max24digit")+")", cont: 1},
                                          {label: langs.getText("p270","dgt_changed")}, {br: 1, cont: 1}, {label: "("+langs.getText("common","max24digit")+")", cont: 1}, {label: langs.getText("p270","dgt_ars")},{br: 1, cont: 1},{label: "("+langs.getText("common","max24digit")+")", cont: 1},{label: langs.getText("p270","dgt_cli")},{br: 1, cont: 1},{label: "("+langs.getText("common","max25cli")+")", cont: 1},{label: langs.getText("p270","dgt_option")}],
                               data_form:[{key: "", tr: [{name:"DGT_INDEX", value: "", label: 1},
                                                         {name:"DGT_APPLY", value: "", select: [{value: "0", option: langs.getText("common","unconditional")}, {value: "1", option: langs.getText("p270","opt_dgt_apply_flwdnt")}, {value: "2", option: langs.getText("p270","opt_dgt_apply_flwlcrt")}], sel_type: "p270_select", message: "", cont: 0},
                                                         {name:"DGT_TIMETABLEIDX", value:"", textfield: [{max: 3}], message: "", cont: 0},
                                                         {name:"DGT_DIALED", value: "", textfield: [{max: 24}], message: "", cont: 0},
                                                         {name:"DGT_CHANGED", value: "", textfield: [{max: 24}], message: "", cont: 0},
                                                         {label: langs.getText("common","daytime")+" : "}, {name: "DGT_DNT_0", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1}, {label: langs.getText("common","nighttime")+" : ", cont: 1}, {name: "DGT_DNT_1", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1}, {label: langs.getText("p270","opt_dgt_changed_timed")+" : ", cont: 1}, {name: "DGT_DNT_2", value: "", textfield: [{max: 24}], message: "", cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d1t1")+" : "}, {name: "DGT_LCR_0_0", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d1t2")+" : ", cont: 1}, {name: "DGT_LCR_0_1", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d1t3")+" : ", cont: 1}, {name: "DGT_LCR_0_2", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d2t1")+" : ", cont: 1}, {name: "DGT_LCR_1_0", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d2t2")+" : ", cont: 1}, {name: "DGT_LCR_1_1", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d2t3")+" : ", cont: 1}, {name: "DGT_LCR_1_2", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d3t1")+" : ", cont: 1}, {name: "DGT_LCR_2_0", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d3t2")+" : ", cont: 1}, {name: "DGT_LCR_2_1", value: "", textfield: [{max: 24}], message: "", cont: 1}, {br: 1, cont: 1},
                                                         {label: langs.getText("p270","opt_dgt_changed_d3t3")+" : ", cont: 1}, {name: "DGT_LCR_2_2", value: "", textfield: [{max: 24}], message: "", cont: 1},
                                                         {name:"DGT_ARS", value: "", textfield: [{max: 24}], message: "", cont: 0},
                                                         {name:"DGT_CLI", value: "", textfield: [{max: 25}], message: "", cont: 0},
                                                         {name:"DGT_OPTION", value: "", select: [{value: "0", option: langs.getText("common","opt_all")}, {value: "1", option: langs.getText("common","info_stn")}/*{value: "1", option: langs.getText("common","reserved")}*/, {value: "2", option: langs.getText("common","co_line")}, {value: "3", option: langs.getText("common","opt_disable")}], message: "", cont: 0}]}],
                           variable_data:[{}]}
		]}
	]}
);
